Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTFramebufferBlit

    java.lang.Object
      org.lwjgl.opengl.EXTFramebufferBlit

    public final class EXTFramebufferBlit

extends java.lang.Object

Field Summary
`static int` | `GL_DRAW_FRAMEBUFFER_BINDING_EXT` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.
`static int` | `GL_DRAW_FRAMEBUFFER_EXT`
`static int` | `GL_READ_FRAMEBUFFER_BINDING_EXT`
`static int` | `GL_READ_FRAMEBUFFER_EXT` Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT.

Method Summary
`static void` | `glBlitFramebufferEXT(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)` Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_READ_FRAMEBUFFER_EXT

    public static final int GL_READ_FRAMEBUFFER_EXT

  Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT.

  See Also:
    Constant Field Values

### GL_DRAW_FRAMEBUFFER_EXT

    public static final int GL_DRAW_FRAMEBUFFER_EXT

See Also:
  Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING_EXT

    public static final int GL_DRAW_FRAMEBUFFER_BINDING_EXT

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev.

  See Also:
    Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING_EXT

    public static final int GL_READ_FRAMEBUFFER_BINDING_EXT

See Also:
  Constant Field Values

Method Detail

### glBlitFramebufferEXT

    public static void glBlitFramebufferEXT(int srcX0,
                                            int srcY0,
                                            int srcX1,
                                            int srcY1,
                                            int dstX0,
                                            int dstY0,
                                            int dstX1,
                                            int dstY1,
                                            int mask,
                                            int filter)

  Transfers a rectangle of pixel values from one region of the read framebuffer to another in the draw framebuffer. <mask> is the bitwise OR of a number of values indicating which buffers are to be copied. The values are COLOR_BUFFER_BIT, DEPTH_BUFFER_BIT, and STENCIL_BUFFER_BIT. The pixels corresponding to these buffers are copied from the source rectangle, bound by the locations (srcX0, srcY0) and (srcX1, srcY1) inclusive, to the destination rectangle, bound by the locations (dstX0, dstY0) and (dstX1, dstY1) inclusive. If the source and destination rectangle dimensions do not match, the source image is stretched to fit the destination rectangle. <filter> must be LINEAR or NEAREST and specifies the method of interpolation to be applied if the image is stretched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.